[package]
name = "r255b3"
version = "0.3.0"
edition = "2021"
authors = ["Tristan <tristan@adpt.dev>"]
license = "Unlicense"
repository = "https://gitlab.com/adapt/r255b3/rust"
description = "Short Schnorr signatures using Ristretto255 and Blake3"
keywords = ["schnorr", "digital-signature", "ristretto", "blake3"]
categories = ["cryptography"]
exclude = [
	".gitignore",
	"shell.nix",
]

[dependencies]
blake3 = { version = "1.3.3", default-features = false }
curve25519-dalek = "4.0.0"
subtle = "2.4.1"
zeroize = { version = "1.6.0", features = ["zeroize_derive"], optional = true }

[dev-dependencies]
rand = "0.8"

[features]
default = ["zeroize", "std"]
zeroize = ["dep:zeroize", "curve25519-dalek/zeroize"]
std = ["blake3/std"]
